---
updatedAt: 2026-05-11T18:50:59.000Z
---

# Returns

Retrieve return orders that match the provided filters, including status, type, creation/last-modified date ranges, and paging. Optionally include replacement attributes. Use this endpoint to monitor RMA activity and reconcile refunds across your catalog.

If no filters are provided, the API returns all return orders for the seller, starting with the most recently created return orders.

For details see the [Returns guide](https://developer.walmart.com/us-marketplace/docs/returns-and-refunds-api-overview).

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Returns Management",
    "version": "1.0",
    "description": "Buyers initiate returns on Walmart.com for Marketplace items.\n\nException categories HAZMAT OTHER and FREIGHT are excluded from buyer initiated returns.\n\nFor HAZMAT and OTHER the seller generates the return shipping label and uploads it.\n\nFor instructions and the Returns API JSON schema see the [Returns guide](https://developer.walmart.com/us-marketplace/docs/returns-and-refunds-api-overview)."
  },
  "x-readme": {
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false
  },
  "servers": [
    {
      "url": "https://marketplace.walmartapis.com",
      "description": "Production URL"
    },
    {
      "url": "https://sandbox.walmartapis.com",
      "description": "Sandbox URL"
    }
  ],
  "security": [
    {
      "basicScheme": []
    }
  ],
  "paths": {
    "/v3/returns": {
      "get": {
        "tags": [
          "Returns/Refunds"
        ],
        "summary": "Returns",
        "description": "Retrieve return orders that match the provided filters, including status, type, creation/last-modified date ranges, and paging. Optionally include replacement attributes. Use this endpoint to monitor RMA activity and reconcile refunds across your catalog.\n\nIf no filters are provided, the API returns all return orders for the seller, starting with the most recently created return orders.\n\nFor details see the [Returns guide](https://developer.walmart.com/us-marketplace/docs/returns-and-refunds-api-overview).",
        "externalDocs": {
          "description": "View Guide",
          "url": "/doc/us/mp/us-mp-returns/"
        },
        "operationId": "getReturns",
        "parameters": [
          {
            "name": "returnOrderId",
            "in": "query",
            "description": "Return order identifier also known as RMA number. Use to filter results.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "customerOrderId",
            "in": "query",
            "description": "Customer sales order identifier. Use to filter results.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "Filter by return order status. Valid values are INITIATED, DELIVERED, COMPLETED.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "replacementInfo",
            "in": "query",
            "description": "Include replacement return attributes in the response when true. Attributes include replacementCustomerOrderID, returnType, rechargeReason, and returnCancellationReason. Valid values are true or false.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "returnType",
            "in": "query",
            "description": "Filter by return type. Valid values are PREORDER, REPLACEMENT, REFUND.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "isWFSEnabled",
            "in": "query",
            "required": false,
            "description": "Filter Walmart Fulfillment Services (WFS) returns. Allowed values: Y (WFS only), N (non-WFS only). Omit to return all.",
            "schema": {
              "type": "string",
              "enum": [
                "Y",
                "N"
              ]
            }
          },
          {
            "name": "returnCreationStartDate",
            "in": "query",
            "description": "Return orders created on or after this date.\n\nAccepts ISO 8601 date or date time. For example 2020-03-16 or 2020-03-16T10:30:15Z.\n\nTo pass a timezone offset in a query string, percent encode the plus sign. For example 2020-04-18T10:42:41.000%2B0000.",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "returnCreationEndDate",
            "in": "query",
            "description": "Return orders created on or before this date.\n\nAccepts ISO 8601 date or date time. For example 2020-03-16 or 2020-03-16T10:30:15Z.\n\nTo pass a timezone offset in a query string, percent encode the plus sign. For example 2020-04-18T10:42:41.000%2B0000.",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "returnLastModifiedStartDate",
            "in": "query",
            "description": "Return orders modified on or after this date.\n\nAccepts ISO 8601 date or date time. For example 2020-03-16 or 2020-03-16T10:30:15Z.\n\nTo pass a timezone offset in a query string, percent encode the plus sign. For example 2020-04-18T10:42:41.000%2B0000.",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "returnLastModifiedEndDate",
            "in": "query",
            "description": "Return orders modified on or before this date.\n\nAccepts ISO 8601 date or date time. For example 2020-03-16 or 2020-03-16T10:30:15Z.\n\nTo pass a timezone offset in a query string, percent encode the plus sign. For example 2020-04-18T10:42:41.000%2B0000.",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum number of return orders per response. Must not exceed 200.",
            "required": false,
            "schema": {
              "type": "string",
              "default": "10"
            }
          },
          {
            "in": "header",
            "name": "WM_SEC.ACCESS_TOKEN",
            "description": "The access token retrieved in the Token API call",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "eyJraWQiOiIzZjVhYTFmNS1hYWE5LTQzM....."
          },
          {
            "in": "header",
            "name": "WM_CONSUMER.CHANNEL.TYPE",
            "description": "A unique ID to track the consumer request by channel. Use the Consumer Channel Type received during onboarding",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "description": "A unique ID which identifies each API call and used to track and debug issues; use a random generated GUID for this ID",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "b3261d2d-028a-4ef7-8602-633c23200af6"
          },
          {
            "in": "header",
            "name": "WM_SVC.NAME",
            "description": "Walmart Service Name",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "Walmart Service Name"
          },
          {
            "in": "header",
            "name": "WM_SANDBOX",
            "description": "Include this header to access the Marketplace dynamic sandbox environment.",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "v2"
              ]
            },
            "example": "v2"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Operation",
            "content": {
              "application/json": {
                "schema": {
                  "required": [
                    "meta",
                    "returnOrders"
                  ],
                  "type": "object",
                  "properties": {
                    "meta": {
                      "required": [
                        "limit",
                        "nextCursor",
                        "totalCount"
                      ],
                      "type": "object",
                      "properties": {
                        "totalCount": {
                          "type": "integer",
                          "format": "int64"
                        },
                        "limit": {
                          "type": "integer",
                          "format": "int64"
                        },
                        "nextCursor": {
                          "type": "string"
                        }
                      }
                    },
                    "returnOrders": {
                      "type": "array",
                      "description": "List of returns for the seller.",
                      "items": {
                        "type": "object",
                        "properties": {
                          "returnOrderId": {
                            "type": "string",
                            "description": "Return order identifier of the return order. This is the same as RMA number."
                          },
                          "customerEmailId": {
                            "type": "string",
                            "description": "Customer email address"
                          },
                          "returnType": {
                            "type": "string",
                            "description": "Specifies if the return order is a replacement return or a regular (refund) return. Possible values are PREORDER, REPLACEMENT or REFUND."
                          },
                          "replacementCustomerOrderId": {
                            "type": "string",
                            "description": "customer order ID of the original return order on which the replacement is created."
                          },
                          "customerName": {
                            "type": "object",
                            "properties": {
                              "firstName": {
                                "type": "string",
                                "description": "Customer first name"
                              },
                              "lastName": {
                                "type": "string",
                                "description": "Customer last name"
                              }
                            },
                            "description": "Customer information"
                          },
                          "customerOrderId": {
                            "type": "string",
                            "description": "Customer sales order identifier. Use to filter results."
                          },
                          "returnOrderDate": {
                            "type": "string",
                            "description": "Date format for return order date",
                            "format": "date-time"
                          },
                          "returnByDate": {
                            "type": "string",
                            "description": "Date format for return by order date",
                            "format": "date-time"
                          },
                          "refundMode": {
                            "type": "string",
                            "description": "Determines when the refund was/will be issued to the customer"
                          },
                          "totalRefundAmount": {
                            "required": [
                              "currencyAmount",
                              "currencyUnit"
                            ],
                            "type": "object",
                            "properties": {
                              "currencyAmount": {
                                "type": "number",
                                "description": "Amount to be refunded. It can be up to two decimal points.",
                                "format": "double"
                              },
                              "currencyUnit": {
                                "type": "string",
                                "description": "Currency information"
                              }
                            },
                            "description": "Price of One unit of item, in this order line"
                          },
                          "returnLineGroups": {
                            "type": "array",
                            "description": "These groups are created per label or type of carrier service required. (e.g., If order has some lines that can be clubbed and mailed together as a smart post then they belong to one return group. If a line is bulky and needs a different type of carrier service, then that line will be part of different group. Customer gets multiple labels depending on how many groups are created for the entire order.)",
                            "items": {
                              "type": "object",
                              "properties": {
                                "groupNo": {
                                  "type": "integer",
                                  "description": "Sequence of group numbers where each returnLineGroups will represent one or more return lines",
                                  "format": "int64"
                                },
                                "returnLines": {
                                  "type": "array",
                                  "description": "Array of return lines",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "returnOrderLineNumber": {
                                        "type": "integer",
                                        "description": "Identifier of the return label",
                                        "format": "int64"
                                      }
                                    },
                                    "description": "Array of return lines"
                                  }
                                },
                                "labels": {
                                  "type": "array",
                                  "description": "Array of labels",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "labelImageURL": {
                                        "type": "string",
                                        "description": "Url to get the return label"
                                      },
                                      "carrierInfoList": {
                                        "type": "array",
                                        "description": "Carrier information for the return",
                                        "items": {
                                          "type": "object",
                                          "properties": {
                                            "carrierId": {
                                              "type": "string",
                                              "description": "ID of the carrier used for the return"
                                            },
                                            "carrierName": {
                                              "type": "string",
                                              "description": "Name of the carrier used"
                                            },
                                            "serviceType": {
                                              "type": "string",
                                              "description": "the type of service used"
                                            },
                                            "trackingNo": {
                                              "type": "string",
                                              "description": "Tracking number of the order"
                                            }
                                          },
                                          "description": "Carrier information for the return"
                                        }
                                      }
                                    },
                                    "description": "Array of labels"
                                  }
                                },
                                "returnExpectedFlag": {
                                  "type": "boolean",
                                  "description": "Is customer required to send this item back to return center"
                                }
                              },
                              "description": "These groups are created per label or type of carrier service required. (e.g., If order has some lines that can be clubbed and mailed together as a smart post then they belong to one return group. If a line is bulky and needs a different type of carrier service, then that line will be part of different group. Customer gets multiple labels depending on how many groups are created for the entire order.)"
                            }
                          },
                          "returnOrderLines": {
                            "type": "array",
                            "description": "A list of order lines in the return order",
                            "items": {
                              "type": "object",
                              "properties": {
                                "returnOrderLineNumber": {
                                  "type": "integer",
                                  "description": "The returns order line number for that return",
                                  "format": "int64"
                                },
                                "salesOrderLineNumber": {
                                  "type": "integer",
                                  "description": "The sales order line number for the return created",
                                  "format": "int64"
                                },
                                "sellerOrderId": {
                                  "type": "string",
                                  "description": "A unique ID associated with the sales order for specified Seller; gives Sellers the ability to print their own custom order ID on the return label; limit of 30 characters"
                                },
                                "returnReason": {
                                  "type": "string",
                                  "description": "Gives the reason that was selected during the return creation. Reason codes are: ARRIVED_LATE, BOUGHT_ANOTHER_SIZE_OR_COLOR, BOUGHT_SOMEWHERE_ELSE, COLOR_NOT_EXPECTED, DAMAGED, DEFECTIVE, DEVICE/PART(S)_DO_NOT_WORK, DID_NOT_LIKE_FABRIC, DIFFICULT_TO_SETUP/NOT_COMPATIBLE, DUPLICATE_ITEM, INCORRECT_ITEM, ITEM_MISSING, LOST_AFTER_DELIVERY, LOST_IN_TRANSIT, LOWER_PRICE, NOT_AS_DESCRIBED, NO_LONGER_WANTED, OTHER, OUT_OF_STOCK, PACKAGING_OR_ITEMBOX_IS_DAMAGED, RETURN_TO_SENDER, SHIPPING_BOX_DAMAGED, TRIED_TO_CANCEL and WRONG_SIZE/POOR_FIT"
                                },
                                "returnDescription": {
                                  "type": "string",
                                  "description": "Gives the returnDescription for the return created. It would be empty if returnDescription is 'Fraud'."
                                },
                                "purchaseOrderId": {
                                  "type": "string",
                                  "description": "The purchase order ID for the return created"
                                },
                                "purchaseOrderLineNumber": {
                                  "type": "integer",
                                  "description": "The purchase order line number for the return created",
                                  "format": "int64"
                                },
                                "exceptionItemType": {
                                  "type": "string"
                                },
                                "isReturnForException": {
                                  "type": "boolean"
                                },
                                "rechargeReason": {
                                  "type": "string",
                                  "description": "reason for recharging the customer for replacement"
                                },
                                "returnCancellationReason": {
                                  "type": "string",
                                  "description": "reason for cancelling the return"
                                },
                                "item": {
                                  "type": "object",
                                  "properties": {
                                    "sku": {
                                      "type": "string",
                                      "description": "An arbitrary alphanumeric unique ID, specified by the seller, which identifies each item."
                                    },
                                    "condition": {
                                      "type": "string",
                                      "description": "Information about the condition of the product."
                                    },
                                    "productName": {
                                      "type": "string",
                                      "description": "The name of the product associated with the line item. Example: 'Kenmore CF1' or '2086883 Canister Secondary Filter Generic 2 Pack'"
                                    },
                                    "itemWeight": {
                                      "required": [
                                        "measurementValue",
                                        "unitOfMeasure"
                                      ],
                                      "type": "object",
                                      "properties": {
                                        "unitOfMeasure": {
                                          "type": "string",
                                          "description": "Unit of measure for the quantity. Examples include EACH or EA."
                                        },
                                        "measurementValue": {
                                          "type": "number",
                                          "description": "Numeric value for the quantity in the specified unit of measure.",
                                          "format": "double"
                                        }
                                      },
                                      "description": "Quantity to refund on this return line."
                                    }
                                  },
                                  "description": "Details of the item to be returned"
                                },
                                "charges": {
                                  "type": "array",
                                  "description": "Information relating to the charge for the orderLine",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "chargeCategory": {
                                        "type": "string",
                                        "description": "The category type. (e.g., 'PRODUCT' or 'FEE')"
                                      },
                                      "chargeName": {
                                        "type": "string",
                                        "description": "If chargeType is PRODUCT, chargeName is ItemPrice. If chargeType is PRODUCT and includes a chargeName as SubscriptionDiscount, these are subscription orders with a discount. If chargeType is SHIPPING, chargeName is Shipping"
                                      },
                                      "chargePerUnit": {
                                        "required": [
                                          "currencyAmount",
                                          "currencyUnit"
                                        ],
                                        "type": "object",
                                        "properties": {
                                          "currencyAmount": {
                                            "type": "number",
                                            "description": "Amount to be refunded. It can be upto two decimal points.",
                                            "format": "double"
                                          },
                                          "currencyUnit": {
                                            "type": "string",
                                            "description": "Currency information"
                                          }
                                        },
                                        "description": "Price of One unit of item, in this order line"
                                      },
                                      "isDiscount": {
                                        "type": "boolean",
                                        "description": "Is this charge a discount, which then needs to be subtracted from the refund"
                                      },
                                      "isBillable": {
                                        "type": "boolean",
                                        "description": "Should this charge be included in the refund computation\n"
                                      },
                                      "tax": {
                                        "type": "array",
                                        "description": "Taxes for each charge",
                                        "items": {
                                          "type": "object",
                                          "properties": {
                                            "taxName": {
                                              "type": "string",
                                              "description": "Name of the tax"
                                            },
                                            "excessTax": {
                                              "required": [
                                                "currencyAmount",
                                                "currencyUnit"
                                              ],
                                              "type": "object",
                                              "properties": {
                                                "currencyAmount": {
                                                  "type": "number",
                                                  "description": "Amount to be refunded. It can be upto two decimal points.",
                                                  "format": "double"
                                                },
                                                "currencyUnit": {
                                                  "type": "string",
                                                  "description": "Currency information"
                                                }
                                              },
                                              "description": "Amount of excess tax in the order line"
                                            },
                                            "taxPerUnit": {
                                              "required": [
                                                "currencyAmount",
                                                "currencyUnit"
                                              ],
                                              "type": "object",
                                              "properties": {
                                                "currencyAmount": {
                                                  "type": "number",
                                                  "description": "Amount to be refunded. It can be upto two decimal points.",
                                                  "format": "double"
                                                },
                                                "currencyUnit": {
                                                  "type": "string",
                                                  "description": "Currency information"
                                                }
                                              },
                                              "description": "Price of One unit of item, in this order line"
                                            }
                                          },
                                          "description": "Taxes for each charge"
                                        }
                                      },
                                      "excessCharge": {
                                        "required": [
                                          "currencyAmount",
                                          "currencyUnit"
                                        ],
                                        "type": "object",
                                        "properties": {
                                          "currencyAmount": {
                                            "type": "number",
                                            "description": "Amount to be refunded. It can be upto two decimal points.",
                                            "format": "double"
                                          },
                                          "currencyUnit": {
                                            "type": "string",
                                            "description": "Currency information"
                                          }
                                        },
                                        "description": "Price of One unit of item, in this order line"
                                      },
                                      "references": {
                                        "type": "array",
                                        "description": "Used only for OG",
                                        "items": {
                                          "required": [
                                            "name",
                                            "value"
                                          ],
                                          "type": "object",
                                          "properties": {
                                            "name": {
                                              "type": "string"
                                            },
                                            "value": {
                                              "type": "string"
                                            }
                                          },
                                          "description": "Used only for 1P"
                                        }
                                      }
                                    },
                                    "description": "Information relating to the charge for the orderLine"
                                  }
                                },
                                "unitPrice": {
                                  "required": [
                                    "currencyAmount",
                                    "currencyUnit"
                                  ],
                                  "type": "object",
                                  "properties": {
                                    "currencyAmount": {
                                      "type": "number",
                                      "description": "Amount to be refunded. It can be upto two decimal points.",
                                      "format": "double"
                                    },
                                    "currencyUnit": {
                                      "type": "string",
                                      "description": "Currency information"
                                    }
                                  },
                                  "description": "Price of One unit of item, in this order line"
                                },
                                "itemReturnSettings": {
                                  "type": "array",
                                  "description": "Contains name value pairs of calculated charges for the line. Eg: if order line has 3 Qty, this will have a shipping charge = 3 * shipping charge per unit (This is present in the line level charges).",
                                  "items": {
                                    "required": [
                                      "name",
                                      "value"
                                    ],
                                    "type": "object",
                                    "properties": {
                                      "name": {
                                        "type": "string"
                                      },
                                      "value": {
                                        "type": "string"
                                      }
                                    },
                                    "description": "Used only for 1P"
                                  }
                                },
                                "chargeTotals": {
                                  "type": "array",
                                  "description": "Contains name value pairs of calculated charges for the line. Eg: if order line has 3 Qty, this will have a shipping charge = 3 * shipping charge per unit (This is present in the line level charges).",
                                  "items": {
                                    "required": [
                                      "name",
                                      "value"
                                    ],
                                    "type": "object",
                                    "properties": {
                                      "name": {
                                        "type": "string",
                                        "description": "Charge Names: lineUnitPrice, lineProductTaxes, lineTotalTaxes, lineRestockingFee, lineShippingFee, lineSubTotal, lineTotal, lineTaxesAndOtherFees."
                                      },
                                      "value": {
                                        "required": [
                                          "currencyAmount",
                                          "currencyUnit"
                                        ],
                                        "type": "object",
                                        "properties": {
                                          "currencyAmount": {
                                            "type": "number",
                                            "description": "Amount to be refunded. It can be upto two decimal points.",
                                            "format": "double"
                                          },
                                          "currencyUnit": {
                                            "type": "string",
                                            "description": "Currency information"
                                          }
                                        },
                                        "description": "Price of One unit of item, in this order line"
                                      }
                                    },
                                    "description": "Contains name value pairs of calculated charges for the line. Eg: if order line has 3 Qty, this will have a shipping charge = 3 * shipping charge per unit (This is present in the line level charges)."
                                  }
                                },
                                "cancellableQty": {
                                  "type": "integer",
                                  "description": "How much quantity of this order line can be cancelled",
                                  "format": "int64"
                                },
                                "quantity": {
                                  "required": [
                                    "measurementValue",
                                    "unitOfMeasure"
                                  ],
                                  "type": "object",
                                  "properties": {
                                    "unitOfMeasure": {
                                      "type": "string",
                                      "description": "Unit of measure for the quantity. Examples include EACH or EA."
                                    },
                                    "measurementValue": {
                                      "type": "number",
                                      "description": "Numeric value for the quantity in the specified unit of measure.",
                                      "format": "double"
                                    }
                                  },
                                  "description": "Quantity to refund on this return line."
                                },
                                "returnExpectedFlag": {
                                  "type": "boolean",
                                  "description": "Is customer required to send this item back to return center."
                                },
                                "isFastReplacement": {
                                  "type": "boolean",
                                  "description": "Applicable only for 1P."
                                },
                                "isKeepIt": {
                                  "type": "boolean",
                                  "description": "Is customer allowed to keep the product and not required to send it back to return center. This flag is determined by making a call to fraud system."
                                },
                                "lastItem": {
                                  "type": "boolean",
                                  "description": "This return is the last item on the sales order line and all other sales order line items are already returned. Helps in last penny calculations."
                                },
                                "refundedQty": {
                                  "type": "number",
                                  "description": "The quantity for which customer was refunded",
                                  "format": "double"
                                },
                                "rechargeableQty": {
                                  "type": "number",
                                  "description": "The quantity for which customer can be charged again for",
                                  "format": "double"
                                },
                                "refundCoveredBy": {
                                  "type": "string",
                                  "enum": [
                                    "seller",
                                    "customer",
                                    "walmart",
                                    "replacement",
                                    "seller - keep it",
                                    "walmart - keep it"
                                  ],
                                  "description": "Who paid for the refund."
                                },
                                "returnTrackingDetail": {
                                  "type": "array",
                                  "description": "Informational blocks added as the return order completes its journey from return creation to received and refunded.",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "sequenceNo": {
                                        "type": "integer",
                                        "description": "The stage the return is in. (e.g., '1' is an initiated return)",
                                        "format": "int64"
                                      },
                                      "eventTag": {
                                        "type": "string",
                                        "description": "The last completed return event. (e.g., 'RETURN_IN_TRANSIT')"
                                      },
                                      "eventDescription": {
                                        "type": "string",
                                        "description": "Description of current return status event. (e.g., 'A MARKET_PLACE Return in Transit')"
                                      },
                                      "eventTime": {
                                        "type": "string",
                                        "description": "Timestamp of listed event",
                                        "format": "date-time"
                                      },
                                      "references": {
                                        "type": "array",
                                        "description": "Used only for 1P",
                                        "items": {
                                          "required": [
                                            "name",
                                            "value"
                                          ],
                                          "type": "object",
                                          "properties": {
                                            "name": {
                                              "type": "string"
                                            },
                                            "value": {
                                              "type": "string"
                                            }
                                          },
                                          "description": "Used only for 1P"
                                        }
                                      }
                                    },
                                    "description": "Informational blocks added as the return order completes its journey from return creation to received and refunded."
                                  }
                                },
                                "status": {
                                  "type": "string",
                                  "description": "Current status of return. (e.g., 'INITIATED')"
                                },
                                "statusTime": {
                                  "type": "string",
                                  "description": "Timestamp of listed status change",
                                  "format": "date-time"
                                },
                                "currentDeliveryStatus": {
                                  "type": "string",
                                  "description": "Determines the current carrier tracking status of the return."
                                },
                                "currentRefundStatus": {
                                  "type": "string",
                                  "description": "Determines the current refund status of the return."
                                },
                                "currentTrackingStatuses": {
                                  "type": "array",
                                  "description": "Array of current tracking status of each quantity",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "status": {
                                        "type": "string",
                                        "description": "Current status of return. (e.g., 'INITIATED')"
                                      },
                                      "statusTime": {
                                        "type": "string",
                                        "description": "Timestamp of listed status change",
                                        "format": "date-time"
                                      },
                                      "currentRefundStatus": {
                                        "type": "string",
                                        "description": "Determines the current refund status of the return."
                                      },
                                      "quantity": {
                                        "required": [
                                          "measurementValue",
                                          "unitOfMeasure"
                                        ],
                                        "type": "object",
                                        "properties": {
                                          "unitOfMeasure": {
                                            "type": "string",
                                            "description": "Unit of measure for the quantity. Examples include EACH or EA."
                                          },
                                          "measurementValue": {
                                            "type": "number",
                                            "description": "Numeric value for the quantity in the specified unit of measure.",
                                            "format": "double"
                                          }
                                        },
                                        "description": "Quantity to refund on this return line."
                                      }
                                    },
                                    "description": "Array of current tracking status of each quantity"
                                  }
                                },
                                "refundChannels": {
                                  "type": "array",
                                  "description": "Array of refund channel of each quantity",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "refundChannelName": {
                                        "type": "string",
                                        "description": "Valid values are: ONLINE, IN_STORE, and CUSTOMER_CARE"
                                      },
                                      "quantity": {
                                        "required": [
                                          "measurementValue",
                                          "unitOfMeasure"
                                        ],
                                        "type": "object",
                                        "properties": {
                                          "unitOfMeasure": {
                                            "type": "string",
                                            "description": "Unit of measure for the quantity. Examples include EACH or EA."
                                          },
                                          "measurementValue": {
                                            "type": "number",
                                            "description": "Numeric value for the quantity in the specified unit of measure.",
                                            "format": "double"
                                          }
                                        },
                                        "description": "Quantity to refund on this return line."
                                      }
                                    },
                                    "description": "Array of refund channel of each quantity"
                                  }
                                }
                              },
                              "description": "A list of order lines in the return order"
                            }
                          },
                          "returnChannel": {
                            "type": "object",
                            "properties": {
                              "channelName": {
                                "type": "string",
                                "description": "Valid values are: ONLINE, IN_STORE, and CUSTOMER_CARE"
                              }
                            },
                            "description": "The channel via order return got initiated"
                          }
                        },
                        "description": "List of returns for the seller."
                      }
                    }
                  }
                },
                "example": {
                  "meta": {
                    "totalCount": 40,
                    "limit": 10,
                    "nextCursor": "?sellerId=151&limit=10&offset=10"
                  },
                  "returnOrders": [
                    {
                      "returnOrderId": "103738048909818825",
                      "customerEmailId": "emailID123456@relay.walmart.com",
                      "customerName": {
                        "firstName": "Jane",
                        "lastName": "Doe"
                      },
                      "customerOrderId": "1234567891234",
                      "refundMode": "POST_DELIVERY",
                      "returnOrderDate": "2019-02-21T01:01:08.000Z",
                      "returnType": "REPLACEMENT",
                      "replacementCustomerOrderId": "1234567891234",
                      "returnByDate": "2019-03-23T01:01:06.000Z",
                      "totalRefundAmount": {
                        "currencyAmount": 127.45,
                        "currencyUnit": "USD"
                      },
                      "returnLineGroups": [
                        {
                          "groupNo": 1,
                          "returnLines": [
                            {
                              "returnOrderLineNumber": 1
                            }
                          ],
                          "labels": [
                            {
                              "labelImageURL": "https://i5.walmartimages.com/asr/0a0c7462-7a85-4d3d-b7cf-91738b6883d4_1.c2c4f7b05e1cfe67910134779aa7c571.png",
                              "carrierInfoList": [
                                {
                                  "carrierId": "11",
                                  "carrierName": "FEDEX",
                                  "serviceType": "FedEx Ground",
                                  "trackingNo": "785611449666"
                                }
                              ]
                            }
                          ],
                          "returnExpectedFlag": true
                        }
                      ],
                      "returnOrderLines": [
                        {
                          "returnOrderLineNumber": 1,
                          "salesOrderLineNumber": 1,
                          "returnReason": "DEFECTIVE",
                          "returnDescription": "Poor quality",
                          "purchaseOrderId": "4790210558890",
                          "sellerOrderId": "123",
                          "purchaseOrderLineNumber": 1,
                          "isReturnForException": true,
                          "exceptionItemType": "HAZMAT/OTHER/FREIGHT",
                          "rechargeReason": "Recharge Reason",
                          "returnCancellationReason": "Cancellation Reason",
                          "item": {
                            "sku": "ANTL_GDL-0700",
                            "condition": "Pre-Owned: Like New",
                            "productName": "Antlion Audio ModMic Wireless Attachable Boom Microphone",
                            "itemWeight": {
                              "unitOfMeasure": "POUND",
                              "measurementValue": 5
                            }
                          },
                          "charges": [
                            {
                              "chargeCategory": "PRODUCT",
                              "chargeName": "ItemPrice",
                              "chargePerUnit": {
                                "currencyAmount": 119.95,
                                "currencyUnit": "USD"
                              },
                              "isDiscount": false,
                              "isBillable": true,
                              "tax": [
                                {
                                  "taxName": "Tax1",
                                  "excessTax": {
                                    "currencyAmount": 0,
                                    "currencyUnit": "USD"
                                  },
                                  "taxPerUnit": {
                                    "currencyAmount": 7.5,
                                    "currencyUnit": "USD"
                                  }
                                }
                              ],
                              "excessCharge": {
                                "currencyAmount": 0,
                                "currencyUnit": "USD"
                              },
                              "references": [
                                {
                                  "name": "isAdjustment",
                                  "value": "false"
                                }
                              ]
                            }
                          ],
                          "unitPrice": {
                            "currencyAmount": 119.95,
                            "currencyUnit": "USD"
                          },
                          "chargeTotals": [
                            {
                              "name": "lineUnitPrice",
                              "value": {
                                "currencyAmount": 119.95,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineProductTaxes",
                              "value": {
                                "currencyAmount": 7.5,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineTotalTaxes",
                              "value": {
                                "currencyAmount": 8.75,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineSubTotal",
                              "value": {
                                "currencyAmount": 119.95,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineTotal",
                              "value": {
                                "currencyAmount": 127.45,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineDutyCharges",
                              "value": {
                                "currencyAmount": 1.25,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineTaxesAndOtherFees",
                              "value": {
                                "currencyAmount": 8.75,
                                "currencyUnit": "USD"
                              }
                            }
                          ],
                          "currentDeliveryStatus": "NOT_SHIPPED",
                          "currentRefundStatus": "REFUND_INITIATED",
                          "currentTrackingStatuses": [
                            {
                              "status": "COMPLETED",
                              "statusTime": "2023-06-22T02:20:51.000Z",
                              "currentRefundStatus": "REFUND_INITIATED",
                              "quantity": {
                                "unitOfMeasure": "EACH",
                                "measurementValue": 2
                              }
                            },
                            {
                              "status": "COMPLETED",
                              "statusTime": "2023-06-22T02:20:51.000Z",
                              "currentRefundStatus": "REFUND_COMPLETED",
                              "quantity": {
                                "unitOfMeasure": "EACH",
                                "measurementValue": 1
                              }
                            }
                          ],
                          "refundChannels": [
                            {
                              "refundChannelName": "SELLER_MANUAL_REFUND",
                              "quantity": {
                                "measurementValue": 2
                              }
                            },
                            {
                              "refundChannelName": "InstantRefund",
                              "quantity": {
                                "measurementValue": 1
                              }
                            }
                          ],
                          "cancellableQty": 0,
                          "quantity": {
                            "unitOfMeasure": "EACH",
                            "measurementValue": 3
                          },
                          "returnExpectedFlag": true,
                          "isFastReplacement": false,
                          "isKeepIt": false,
                          "lastItem": false,
                          "refundedQty": 1,
                          "rechargeableQty": 0,
                          "refundCoveredBy": "SELLER_AUTO_REFUND",
                          "returnTrackingDetail": [
                            {
                              "sequenceNo": 1,
                              "eventTag": "RETURN_IN_TRANSIT",
                              "eventDescription": "A MARKET_PLACE Return in Transit",
                              "eventTime": "2019-02-23T00:46:11.000Z",
                              "references": [
                                {
                                  "name": "ReturnDate",
                                  "value": "2019-02-21T01:01:08.000Z"
                                },
                                {
                                  "name": "SLA for Receiving Items",
                                  "value": "7 Days"
                                }
                              ]
                            },
                            {
                              "sequenceNo": 0,
                              "eventTag": "RETURN_INITIATED",
                              "eventDescription": "Return initiated for MARKET_PLACE",
                              "eventTime": "2019-02-21T01:01:08.000Z",
                              "references": [
                                {
                                  "name": "ReturnDate",
                                  "value": "2019-02-21T01:01:08.000Z"
                                },
                                {
                                  "name": "FedexTrackingLink",
                                  "value": "https://www.fedex.com/apps/fedextrack/?tracknumbers=785611449666"
                                }
                              ]
                            }
                          ],
                          "status": "COMPLETED",
                          "statusTime": "2019-03-02T05:45:45.000Z"
                        }
                      ],
                      "returnChannel": {
                        "channelName": "IN_STORE"
                      }
                    },
                    {
                      "returnOrderId": "330050624216470154",
                      "customerEmailId": "EA91F14A2FF44A4A820F65AAEAA8506D@relay.walmart.com",
                      "customerName": {
                        "firstName": "mam",
                        "lastName": "tha"
                      },
                      "customerOrderId": "100000276630999",
                      "returnOrderDate": "2024-08-22T11:11:41.000Z",
                      "returnByDate": "2024-09-21T11:11:41.000Z",
                      "refundMode": "INSTANT",
                      "totalRefundAmount": {
                        "currencyAmount": 29.06,
                        "currencyUnit": "USD"
                      },
                      "returnLineGroups": [],
                      "returnOrderLines": [
                        {
                          "returnOrderLineNumber": 1,
                          "salesOrderLineNumber": 1,
                          "returnReason": "OTHER",
                          "returnDescription": "Seller Issued Refund",
                          "purchaseOrderId": "108913038979891",
                          "purchaseOrderLineNumber": 1,
                          "isReturnForException": false,
                          "item": {
                            "condition": "New",
                            "productName": "Power Rangers: Dino Fury T-Rex Champion Zord Toy Action Figure for Boys and Girls Ages 4 5 6 7 8 and Up",
                            "itemWeight": {
                              "unitOfMeasure": "POUND",
                              "measurementValue": 5
                            }
                          },
                          "charges": [
                            {
                              "chargeCategory": "PRODUCT",
                              "chargeName": "ItemPrice",
                              "chargePerUnit": {
                                "currencyAmount": 29.99,
                                "currencyUnit": "USD"
                              },
                              "isDiscount": false,
                              "isBillable": true,
                              "tax": [
                                {
                                  "taxName": "Tax1",
                                  "excessTax": {
                                    "currencyAmount": 0,
                                    "currencyUnit": "USD"
                                  },
                                  "taxPerUnit": {
                                    "currencyAmount": 3.07,
                                    "currencyUnit": "USD"
                                  }
                                }
                              ],
                              "references": [
                                {
                                  "name": "fulfillmentOrderNo",
                                  "value": "108913038979891"
                                },
                                {
                                  "name": "id",
                                  "value": "DUMMY_db9a5bb8-7f5c-43a8-b7b8-baa590cc1d33_PRODUCT_8c2803d1-6e8f-496a-927a-4d68a7aac036"
                                },
                                {
                                  "name": "fulfillerLineId",
                                  "value": "1"
                                }
                              ]
                            },
                            {
                              "chargeCategory": "PRODUCT",
                              "chargeName": "Product",
                              "chargePerUnit": {
                                "currencyAmount": -3,
                                "currencyUnit": "USD"
                              },
                              "isDiscount": true,
                              "isBillable": true,
                              "tax": [
                                {
                                  "taxName": "Product",
                                  "excessTax": {
                                    "currencyAmount": 0,
                                    "currencyUnit": "USD"
                                  },
                                  "taxPerUnit": {
                                    "currencyAmount": -1,
                                    "currencyUnit": "USD"
                                  }
                                }
                              ],
                              "excessCharge": {
                                "currencyAmount": 0,
                                "currencyUnit": "USD"
                              },
                              "references": [
                                {
                                  "name": "fulfillmentOrderNo",
                                  "value": "108913038979891"
                                },
                                {
                                  "name": "isDiscount",
                                  "value": "true"
                                },
                                {
                                  "name": "id",
                                  "value": "001dda93-7d07-4a13-abc9-a3043d28a394"
                                },
                                {
                                  "name": "fulfillerLineId",
                                  "value": "1"
                                }
                              ]
                            }
                          ],
                          "unitPrice": {
                            "currencyAmount": 29.99,
                            "currencyUnit": "USD"
                          },
                          "itemReturnSettings": [],
                          "chargeTotals": [
                            {
                              "name": "lineUnitPrice",
                              "value": {
                                "currencyAmount": 29.99,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineProductTaxes",
                              "value": {
                                "currencyAmount": 3.07,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineTotalTaxes",
                              "value": {
                                "currencyAmount": 3.32,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineMiscCharges",
                              "value": {
                                "currencyAmount": -3,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineSubTotal",
                              "value": {
                                "currencyAmount": 26.99,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineTotal",
                              "value": {
                                "currencyAmount": 29.06,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineDutyCharges",
                              "value": {
                                "currencyAmount": 1.25,
                                "currencyUnit": "USD"
                              }
                            },
                            {
                              "name": "lineTaxesAndOtherFees",
                              "value": {
                                "currencyAmount": 3.32,
                                "currencyUnit": "USD"
                              }
                            }
                          ],
                          "cancellableQty": 0,
                          "quantity": {
                            "unitOfMeasure": "EACH",
                            "measurementValue": 1
                          },
                          "returnExpectedFlag": false,
                          "isFastReplacement": false,
                          "isKeepIt": false,
                          "lastItem": false,
                          "refundedQty": 1,
                          "rechargeableQty": 0,
                          "refundCoveredBy": "InstantRefund",
                          "returnTrackingDetail": [
                            {
                              "sequenceNo": 1,
                              "eventTag": "REFUND_ISSUED",
                              "eventDescription": "Refund initiated for MARKET_PLACE",
                              "eventTime": "2024-08-22T11:27:56.829Z",
                              "references": [
                                {
                                  "name": "ReturnDate",
                                  "value": "2024-08-22T11:11:41.821Z"
                                },
                                {
                                  "name": "SLA for Receiving Items",
                                  "value": "7 Days"
                                }
                              ]
                            },
                            {
                              "sequenceNo": 0,
                              "eventTag": "RETURN_INITIATED",
                              "eventDescription": "Return created for MARKET_PLACE",
                              "eventTime": "2024-08-22T11:11:41.823Z",
                              "references": [
                                {
                                  "name": "ReturnDate",
                                  "value": "2024-08-22T11:11:41.823Z"
                                }
                              ]
                            }
                          ],
                          "status": "COMPLETED",
                          "statusTime": "2024-08-22T11:27:56.000Z",
                          "currentDeliveryStatus": "NOT_SHIPPED",
                          "currentRefundStatus": "REFUND_COMPLETED",
                          "currentTrackingStatuses": [
                            {
                              "status": "COMPLETED",
                              "statusTime": "2024-08-22T11:27:56.000Z",
                              "currentRefundStatus": "REFUND_COMPLETED",
                              "quantity": {
                                "unitOfMeasure": "EACH",
                                "measurementValue": 1
                              }
                            }
                          ],
                          "refundChannels": [
                            {
                              "refundChannelName": "InstantRefund",
                              "quantity": {
                                "measurementValue": 1
                              }
                            }
                          ]
                        }
                      ],
                      "returnChannel": {
                        "channelName": "Seller_Returns"
                      }
                    }
                  ]
                }
              }
            }
          }
        }
      }
    }
  }
}
```